# ServerConfigCustomTranscodingResolutions

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Var0p** | Pointer to **bool** |  | [optional] 
**Var240p** | Pointer to **bool** |  | [optional] 
**Var360p** | Pointer to **bool** |  | [optional] 
**Var480p** | Pointer to **bool** |  | [optional] 
**Var720p** | Pointer to **bool** |  | [optional] 
**Var1080p** | Pointer to **bool** |  | [optional] 
**Var1440p** | Pointer to **bool** |  | [optional] 
**Var2160p** | Pointer to **bool** |  | [optional] 

## Methods

### NewServerConfigCustomTranscodingResolutions

`func NewServerConfigCustomTranscodingResolutions() *ServerConfigCustomTranscodingResolutions`

NewServerConfigCustomTranscodingResolutions instantiates a new ServerConfigCustomTranscodingResolutions object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewServerConfigCustomTranscodingResolutionsWithDefaults

`func NewServerConfigCustomTranscodingResolutionsWithDefaults() *ServerConfigCustomTranscodingResolutions`

NewServerConfigCustomTranscodingResolutionsWithDefaults instantiates a new ServerConfigCustomTranscodingResolutions object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetVar0p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar0p() bool`

GetVar0p returns the Var0p field if non-nil, zero value otherwise.

### GetVar0pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar0pOk() (*bool, bool)`

GetVar0pOk returns a tuple with the Var0p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar0p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar0p(v bool)`

SetVar0p sets Var0p field to given value.

### HasVar0p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar0p() bool`

HasVar0p returns a boolean if a field has been set.

### GetVar240p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar240p() bool`

GetVar240p returns the Var240p field if non-nil, zero value otherwise.

### GetVar240pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar240pOk() (*bool, bool)`

GetVar240pOk returns a tuple with the Var240p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar240p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar240p(v bool)`

SetVar240p sets Var240p field to given value.

### HasVar240p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar240p() bool`

HasVar240p returns a boolean if a field has been set.

### GetVar360p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar360p() bool`

GetVar360p returns the Var360p field if non-nil, zero value otherwise.

### GetVar360pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar360pOk() (*bool, bool)`

GetVar360pOk returns a tuple with the Var360p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar360p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar360p(v bool)`

SetVar360p sets Var360p field to given value.

### HasVar360p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar360p() bool`

HasVar360p returns a boolean if a field has been set.

### GetVar480p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar480p() bool`

GetVar480p returns the Var480p field if non-nil, zero value otherwise.

### GetVar480pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar480pOk() (*bool, bool)`

GetVar480pOk returns a tuple with the Var480p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar480p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar480p(v bool)`

SetVar480p sets Var480p field to given value.

### HasVar480p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar480p() bool`

HasVar480p returns a boolean if a field has been set.

### GetVar720p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar720p() bool`

GetVar720p returns the Var720p field if non-nil, zero value otherwise.

### GetVar720pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar720pOk() (*bool, bool)`

GetVar720pOk returns a tuple with the Var720p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar720p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar720p(v bool)`

SetVar720p sets Var720p field to given value.

### HasVar720p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar720p() bool`

HasVar720p returns a boolean if a field has been set.

### GetVar1080p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar1080p() bool`

GetVar1080p returns the Var1080p field if non-nil, zero value otherwise.

### GetVar1080pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar1080pOk() (*bool, bool)`

GetVar1080pOk returns a tuple with the Var1080p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar1080p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar1080p(v bool)`

SetVar1080p sets Var1080p field to given value.

### HasVar1080p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar1080p() bool`

HasVar1080p returns a boolean if a field has been set.

### GetVar1440p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar1440p() bool`

GetVar1440p returns the Var1440p field if non-nil, zero value otherwise.

### GetVar1440pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar1440pOk() (*bool, bool)`

GetVar1440pOk returns a tuple with the Var1440p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar1440p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar1440p(v bool)`

SetVar1440p sets Var1440p field to given value.

### HasVar1440p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar1440p() bool`

HasVar1440p returns a boolean if a field has been set.

### GetVar2160p

`func (o *ServerConfigCustomTranscodingResolutions) GetVar2160p() bool`

GetVar2160p returns the Var2160p field if non-nil, zero value otherwise.

### GetVar2160pOk

`func (o *ServerConfigCustomTranscodingResolutions) GetVar2160pOk() (*bool, bool)`

GetVar2160pOk returns a tuple with the Var2160p field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVar2160p

`func (o *ServerConfigCustomTranscodingResolutions) SetVar2160p(v bool)`

SetVar2160p sets Var2160p field to given value.

### HasVar2160p

`func (o *ServerConfigCustomTranscodingResolutions) HasVar2160p() bool`

HasVar2160p returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


